import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React, { Component } from 'react';
import style from "../../index.module.scss";
// import Tpl1 from './tpl1';
// import Tpl3 from './tpl3';
// import Tpl4 from './tpl4';
// import Tpl5 from './tpl5';
// import Tpl6 from './tpl6';
import Tpl03 from "./tpl03";
import Tpl11 from "./tpl11";
import Tpl22 from "./tpl22";
import Tpl002 from "./tpl002";
import Tpl004 from "./tpl004";
var productsIntroduction = /*#__PURE__*/function (_Component) {
  _inheritsLoose(productsIntroduction, _Component);
  function productsIntroduction() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = productsIntroduction.prototype;
  _proto.render = function render() {
    var insetFn = this.props.insetFn;
    var handleClick = function handleClick(ev) {
      insetFn(ev.target.innerHTML);
    };
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl004, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl002, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl03, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl11, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl22, null)));
  };
  return productsIntroduction;
}(Component);
export { productsIntroduction as default };